<?xml version="1.0" encoding="UTF-8" ?>
<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers"
      f:schemaLocation="https://fluidtypo3.org/schemas/fluid-master.xsd"
      v:schemaLocation="https://fluidtypo3.org/schemas/vhs-master.xsd"
      xmlns:n="http://typo3.org/ns/GeorgRinger/News/ViewHelpers"
      xmlns:drk="http://typo3.org/ns/Drk/Template/ViewHelpers"
      data-namespace-typo3-fluid="true">

<body>

<f:section name="item">
    <n:excludeDisplayedNews newsItem="{newsItem}"/>
    <div class="gridelements__body frame">
        <div class="gridblock__wrapper gridblock__wrapper--66-33 gridblock--2columns grid-normal flex-middle">
            <div class="gridblock__item gridblock__item--small">
                <div id="c233410" class="frame frame-type-header frame-layout-0">
                    <f:render partial="Detail/NewsItemPublicationImage" section="item" arguments="{newsItem: newsItem,settings:settings}" />
                </div>
            </div>
            <div class="gridblock__item gridblock__item--large">
                    <h2 class="h4">
                        {newsItem.title}
                    </h2>
                <p>
                    <f:if condition="{newsItem.datetime} && {newsItem.author}">
                        <f:then>
                            {newsItem.datetime -> f:format.date(format: 'd.m.Y')}, {newsItem.author}
                        </f:then>
                        <f:else>
                            <f:if condition="{newsItem.datetime}">
                                {newsItem.datetime -> f:format.date(format: 'd.m.Y')}
                            </f:if>
                            <f:if condition="{newsItem.author}">
                                {newsItem.author}
                            </f:if>
                        </f:else>
                    </f:if>
                    <f:if condition="{newsItem.publicationPublisher}">
                        {newsItem.publicationPublisher}
                    </f:if>
                </p>
                <f:if condition="{newsItem.teaser}">
                    <p>
                        {newsItem.teaser -> f:format.stripTags() -> f:format.crop(maxCharacters: 100)}
                    </p>
                </f:if>
                <f:if condition="{newsItem.bodyText}">
                    <p>
                        {newsItem.bodyText -> f:format.stripTags() -> f:format.crop(maxCharacters: 390)}
                    </p>
                </f:if>
                <f:if condition="{newsItem.relatedFiles}">
                    <f:then>
                        <ul>
                            <f:for each="{newsItem.relatedFiles}" as="relatedFile">
                                <li>
                                    <a href="{relatedFile.originalResource.originalFile.publicUrl -> f:format.htmlspecialchars()}"
                                       target="_blank"
                                       title="Download von {f:if(condition:relatedFile.originalResource.title, then:relatedFile.originalResource.title, else:relatedFile.originalResource.name)}"
                                    >
                                        Download {file.originalResource.properties.extension}
                                        (<span class="news-related-files-size">{relatedFile.originalResource.size -> f:format.bytes()}</span>)
                                    </a>
                                </li>
                            </f:for>
                        </ul>
                    </f:then>
                    <f:else>
                        <f:if condition="{newsItem.falMedia}">
                            <f:then>
                                <ul>
                                    <f:for each="{newsItem.falMedia}" as="relatedFile">
                                        <li>
                                            <a href="{relatedFile.originalResource.originalFile.publicUrl -> f:format.htmlspecialchars()}"
                                               target="_blank"
                                               title="Download von {f:if(condition:relatedFile.originalResource.title, then:relatedFile.originalResource.title, else:relatedFile.originalResource.name)}"
                                            >
                                                Download {f:if(condition:relatedFile.originalResource.title, then:relatedFile.originalResource.title, else:relatedFile.originalResource.name)}
                                                (<span class="news-related-files-size">{relatedFile.originalResource.size -> f:format.bytes()}</span>)
                                            </a>
                                        </li>
                                    </f:for>
                                </ul>
                            </f:then>
                            <f:else>
                                <p>Kein Download verfügbar</p>
                            </f:else>
                        </f:if>
                    </f:else>
                </f:if>
            </div>
        </div>
    </div>
</f:section>

<f:section name="dummyMedia">
    <figure class="c-teaser__img c-teaser__img--left   o-media__img"></figure>
</f:section>
